package com.heyu.api.data.dao.api;
/**
* <p>
* 账户表 服务类
* </p>
*
* @author quyixiao
* @since 2025-04-19
*/
import com.heyu.api.data.entity.api.ApiMobileMetaEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.LIMIT;
import com.lz.mybatis.plugin.annotations.Plus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ApiMobileMetaDao extends BaseMapper<ApiMobileMetaEntity> {


	ApiMobileMetaEntity selectApiMobileMetaById(@Param("id")Long id);


	Long insertApiMobileMeta(ApiMobileMetaEntity apiMobileMeta);


	Long insertOrUpdateApiMobileMeta(ApiMobileMetaEntity apiMobileMeta);


	int updateApiMobileMetaById(ApiMobileMetaEntity apiMobileMeta);


	int updateCoverApiMobileMetaById(ApiMobileMetaEntity apiMobileMeta);


	int deleteApiMobileMetaById(@Param("id")Long id);


	@LIMIT
	ApiMobileMetaEntity selectApiMobileMetaByMobileRealNameChannelEnableStatus(String mobile, String realName, String channel,Integer enableStatus);




	@LIMIT
	ApiMobileMetaEntity selectApiMobileMetaByMobileRealNameIdCardNumberChannelEnableStatus(String mobile, String realName,String idCardNumber, String channel,Integer enableStatus);




	int updateApiMobileMetaUseCountById(@Plus Long useCount, Long id);



}